Bug 198505 - [PATCH] irc/ircd-hybrid: Detect EGD support / fix LibreSSL
Summary: [PATCH] irc/ircd-hybrid: Detect EGD support / fix LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Diane Bruce
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-10 19:35 UTC by Bernard Spil
Modified: 2015-03-14 14:28 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for irc/ircd-hybrid (1.93 KB, patch)
2015-03-10 19:35 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-10 19:35:12 UTC
Created attachment 154162 [details]
svn diff for irc/ircd-hybrid

irc/ircd-hybrid unconditionally relies on RAND_egd which makes building fail with LibreSSL which has removed EGD. FreeBSD does not require EGD at all, /dev/random has been available since FreeBSD 4.2

Additionally, LibreSSL has moved compression methods to a separate header file that is not always included. Add openssl/conf.h to the includes.
Comment 1 Bernard Spil freebsd_committer 2015-03-10 20:04:03 UTC
Feedback from upstream:

Hello,

EGD support has been dropped in ircd-⁠hybrid 8.1.20 which was released
on July 20, 2014.

Also the compression issue has been fixed as well sometime last year.

Greets,
Michael

Bernard Spil schrieb:

    Hi,

    ircd-⁠hybrid unconditionally uses RAND_egd which has been removed from
    LibreSSL. Additionally it uses compression which is moved to a separate
    header.

    Attached patches
    1. Use autoconf to detect availability of RAND_egd in libcrypto
    2. Disable EGD if RAND_egd is not available
    3. Add the openssl/⁠comp.h header to src/⁠rsa.c to fix build

    I've been working through over 60 build failures with LibreSSL and
    supplying FreeBSD ports and upstream projects with patches, check
    https://wiki.freebsd.org/LibreSSL and
    https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=198505 for this bugs
    status in ports.

    Please include this patch into your product. Additionally please review
    completely removing EGD as no platform requires it or has required perl
    EGD as a random source fer many years.

    Kind regards,

    Bernard Spil.
Comment 2 commit-hook freebsd_committer 2015-03-14 14:28:28 UTC
A commit references this bug:

Author: db
Date: Sat Mar 14 14:28:07 UTC 2015
New revision: 381273
URL: https://svnweb.freebsd.org/changeset/ports/381273

Log:
  Update to 8.2.5

  Feedback from upstream:

  Hello,

  EGD support has been dropped in ircd-hybrid 8.1.20 which was released
  on July 20, 2014.

  Also the compression issue has been fixed as well sometime last year.

  Greets,
  Michael

  Bernard Spil schrieb:

      Hi,

      ircd-hybrid unconditionally uses RAND_egd which has been removed from
      LibreSSL. Additionally it uses compression which is moved to a separate
      header.

      Attached patches
      1. Use autoconf to detect availability of RAND_egd in libcrypto
      2. Disable EGD if RAND_egd is not available
      3. Add the openssl/comp.h header to src/rsa.c to fix build

      I've been working through over 60 build failures with LibreSSL and
      supplying FreeBSD ports and upstream projects with patches, check
      https://wiki.freebsd.org/LibreSSL and
      https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=198505 for this bugs
      status in ports.

      Please include this patch into your product. Additionally please review
      completely removing EGD as no platform requires it or has required perl
      EGD as a random source fer many years.

      Kind regards,

      Bernard Spil.

  PR:		ports/198505
  Submitted by:	spil.oss@gmail.com

Changes:
  head/irc/ircd-hybrid/Makefile
  head/irc/ircd-hybrid/distinfo